# Script 8.3 - horse.rb

# Define the Pet class:
class Pet
  def initialize(name)
      @name = name
  end
  
  # Returns info about the pet:
  def to_s
    "Name: #@name\nType: #{self.class}\n"
  end
  
end # End of Pet definition.

# Horse class is an extension of Pet:
class Horse < Pet

  # Constructor takes two args:
  def initialize(name, hands)
    @hands = hands
    super(name)
  end

  # Update the to_s method:
  def to_s
    super + "Size: #@hands hands\n"
  end
  
end # End of Horse definition.

# Create a new Horse:
h = Horse.new('Seabiscuit', 15.2)

# Print the horse as a string:
puts h.to_s