# Script 8.1 - pets.rb

# Define the Pet class:
class Pet

  # Getter for the name:
  attr_reader :name

  # Constructor sets the pet's name:
  def initialize(name)
      @name = name
  end
  
  # Pets need to sleep:
  def sleep
    "#@name is sleeping."
  end
  
end # End of Pet definition.

# Dog class is an extension of Pet:
class Dog < Pet

  # Dogs also fetch:
  def fetch
    "#@name is playing fetch."
  end
  
end # End of Dog definition.

# Create a new Dog:
d = Dog.new('trixie')

# Do stuff:
puts d.sleep
puts d.fetch
puts "The dog's name is #{d.name}."