# Script 8.5 - pets3.rb

# Define the Pet class:
class Pet

  # Class variable:
  @@count = 0

  # Getter for the name:
  attr_reader :name

  # Constructor sets the pet's name
  # and increments the count:
  def initialize(name)
    @name = name
    @@count += 1
  end
  
  # Returns the total number of pets:
  def total_pets
    @@count
  end
    
end # End of Pet definition.

# Dog class is an extension of Pet:
class Dog < Pet
end

# Cat class is an extension of Pet:
class Cat < Pet
end

# Fish class is an extension of Pet:
class Fish < Pet
end

# Create a new Dog:
d = Dog.new('Old Yeller')

# How many pets do I have?
puts "After getting a dog, I have #{d.total_pets} pet."

# Get a cat and a fish:
c = Cat.new('Bucky')
f = Fish.new('Nemo')
puts "After getting a cat and a fish, I have #{d.total_pets} pets."
