# Script 11.3 - circles2.rb

# Require the Circle library:
require 'circle'

# Start a block:
begin

  # Create two circles, one erroneously:
  c1 = Circle.new(5)
  c2 = Circle.new

  # Print a comparison:
  puts "c1 is greater than or equal to c2: #{c1 >= c2}"
  
  # Print the addition:
  puts c1 + c2

# Catch any exceptions:
rescue ArgumentError => e
  puts "A method was misused. Ruby reported: #{e}"
  
rescue NameError => e
  puts "You are attempting to use a class or method that does not exist. Check your spelling and any applicable documentation. Ruby reported: #{e}"
  
rescue => e
  puts "Some other exception occurred. Ruby reported: #{e}"
  
end