# Script 15.5 - rss.rb

# Include the gems:
require 'rubygems'
require 'feed_tools'

# Start a block:
begin
  
  # Open the feed:
  feed = FeedTools::Feed.open('http://www.dmcinsights.com/phorum/feed.php?0,type=rss')

  # Print the feed's information:
  puts "Title: #{feed.title}"
  puts "Description: #{feed.description}"
  
  # Print each item
  feed.entries.each { |item| 
    puts
    puts "#{item.title}\n#{item.description.slice(0, 100)}...\n#{item.link}" 
  }

rescue => e
  
  puts "The feed could not be read: #{e.message}" 

end

