# Script 17.3 - data.rb

# Literal object:
literal = 23

# Environmental variable:
env = ENV['USER']

# User input:
print 'Enter something: '
input = gets

# File:
fp = File.open('data.txt')
local = fp.read
fp.close

# Network communication:
require 'net/http'
url = URI.parse('http://www.dmcinsights.com/ruby/data.txt')
response = Net::HTTP.get_response(url)
online = response.body

# Indicate the "taintedness":
puts "The literal object--#{literal}--is tainted: #{literal.tainted?}"
puts "The environmental variable--#{env}--is tainted: #{env.tainted?}"
puts "The user input--#{input.chomp}--is tainted: #{input.tainted?}"
puts "The file data--#{local}--is tainted: #{local.tainted?}"
puts "The network communication--#{online}--is tainted: #{online.tainted?}"