# Script 8.2 - pets2.rb

# Define the Pet class:
class Pet
  attr_reader :name
  def initialize(name)
      @name = name
  end
  def sleep
    "#@name is sleeping."
  end
  
  # Pets can also play:
  def play
    "#@name is playing."
  end
  
end # End of Pet definition.

# Dog class is an extension of Pet:
class Dog < Pet

  # Dogs fetch to play:
  def play
    "#@name is playing fetch."
  end
  
end # End of Dog definition.

# Create a new Dog:
d = Dog.new('trixie')

# Do stuff:
puts d.sleep
puts d.play
puts "The dog's name is #{d.name}."