# Script 9.3 - circle.rb

# Define the Circle class:
class Circle

  # Include Comparable mixin:
  include Comparable
  
  # Accessors for the radius:
  attr_reader :radius
  
  # initialize method sets the radius:
  def initialize(r)
    @radius = r
  end
  
  # Define the comparison operator:
  def <=>(rh)
    @radius <=> rh.radius
  end

end # End of Circle class.