# Script 11.1 - lucas.rb

# Method for calculating Lucas numbers.
# Argument is the quantity of numbers to return.
def lucas(num)
  a = 2
  b = 1
  num.times do
  	yield a
  	c = a
  	a = b
  	b += c
  end
end

# Call the method for the first 10 numbers:
lucas(10) { |x| puts x }