class Department < ActiveRecord::Base
	
	# Relationship:
	has_many :employees
	
	# Validations:
	validates_presence_of :name
	validates_uniqueness_of :name
	
	# Method for returning the number of employees in the department:
	def employees_count
		employees.count
	end

end