# Script 17.1 - os.rb

# Determine the Home directory based upon the OS:
if RUBY_PLATFORM.index('mswin') then
  puts "I think you're using a version of Windows."
  home = ENV['HOMEPATH']
elsif RUBY_PLATFORM.index('darwin') then
  puts "I think you're using a version of Mac OS X."
  home = ENV['HOME']
elsif RUBY_PLATFORM.index('linux') then
  puts "I think you're using a version of Linux."
  home = ENV['HOME']
else
  puts "I'm not sure what operating system you're using."
end

# Print the home directory:
puts "Your home directory is #{home}" if home